Feeds

Get a post

GET/feeds/{feedId}/{postId}

Retrieve a post from feed by its ID

Path Parameters

feedId*string

Feed ID

postId*string

Post ID

Response Body

200application/json

OK

type: object

created_at?string
creator_id?string
description?string
feed_id?string
id?string
image?object
attached_to_video?boolean
file?object
created_at?string
format?string
id?string
name?string
project_id?string
size?integer
status?object
updated_at?string
url?string
height?integer
id?string
thumbhash?string
width?integer
plan_type?object
type?object
Value in"video" | "image"
updated_at?string
video?object
bitrate?integer
chapters?array<object>
duration_label?string
end_time_sec?number
start_time_sec?number
title?string
codec?string
duration?number
file?object
created_at?string
format?string
id?string
name?string
project_id?string
size?integer
status?object
updated_at?string
url?string
framerate?string
hdr?boolean
height?integer
id?string
plan_type?object
poster?object
attached_to_video?boolean
file?object
created_at?string
format?string
id?string
name?string
project_id?string
size?integer
status?object
updated_at?string
url?string
height?integer
id?string
thumbhash?string
width?integer
width?integer
400application/json

Bad Request

type: object

code?integer

HTTP status code

details?string

Optional details about the error

error?string

Error message describing what went wrong

404application/json

Not Found

type: object

code?integer

HTTP status code

details?string

Optional details about the error

error?string

Error message describing what went wrong

curl -X GET "https://api.rixl.com/feeds/F4edRI23XL/P5stRI23XL"
fetch("https://api.rixl.com/feeds/F4edRI23XL/P5stRI23XL", {
  method: "GET"
})
package main

import (
  "fmt"
  "net/http"
  "io/ioutil"
)

func main() {
  url := "https://api.rixl.com/feeds/F4edRI23XL/P5stRI23XL"

  req, _ := http.NewRequest("GET", url, nil)
  
  res, _ := http.DefaultClient.Do(req)
  defer res.Body.Close()
  body, _ := ioutil.ReadAll(res.Body)

  fmt.Println(res)
  fmt.Println(string(body))
}
import requests

url = "https://api.rixl.com/feeds/F4edRI23XL/P5stRI23XL"

response = requests.request("GET", url)

print(response.text)
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.net.http.HttpResponse.BodyHandlers;
import java.time.Duration;

HttpClient client = HttpClient.newBuilder()
  .connectTimeout(Duration.ofSeconds(10))
  .build();

HttpRequest.Builder requestBuilder = HttpRequest.newBuilder()
  .uri(URI.create("https://api.rixl.com/feeds/F4edRI23XL/P5stRI23XL"))
  .GET()
  .build();

try {
  HttpResponse<String> response = client.send(requestBuilder.build(), BodyHandlers.ofString());
  System.out.println("Status code: " + response.statusCode());
  System.out.println("Response body: " + response.body());
} catch (Exception e) {
  e.printStackTrace();
}
using System;
using System.Net.Http;
using System.Text;

var client = new HttpClient();
var response = await client.GetAsync("https://api.rixl.com/feeds/F4edRI23XL/P5stRI23XL");
var responseBody = await response.Content.ReadAsStringAsync();

OK

application/json

{
  "created_at": "2025-01-01T00:00:00Z",
  "creator_id": "CR8y3QB38S",
  "description": "My awesome post",
  "feed_id": "FD4y3QB38S",
  "id": "PS5IMKoFLm",
  "image": {
    "attached_to_video": false,
    "file": {
      "created_at": "2025-01-01T00:00:00Z",
      "format": "avif",
      "id": "FpvLwyDMqu",
      "name": "original.jpeg",
      "project_id": "Bq4y3QB38S",
      "size": 1048576,
      "status": "ready",
      "updated_at": "2025-01-01T00:00:00Z",
      "url": "https://images.rixl.com/Bq4y3QB38S/FpvLwyDMqu"
    },
    "height": 1080,
    "id": "PS5IMKoFLm",
    "thumbhash": "1QcSHQRnh493V4dIh4eXh1h4kJUI",
    "width": 1920
  },
  "plan_type": "free",
  "type": "video",
  "updated_at": "2025-01-01T00:00:00Z",
  "video": {
    "bitrate": 0,
    "chapters": [
      {
        "duration_label": "02:25",
        "end_time_sec": 145,
        "start_time_sec": 0,
        "title": "Introduction"
      }
    ],
    "codec": "string",
    "duration": 0,
    "file": {
      "created_at": "2025-01-01T00:00:00Z",
      "format": "avif",
      "id": "FpvLwyDMqu",
      "name": "original.jpeg",
      "project_id": "Bq4y3QB38S",
      "size": 1048576,
      "status": "ready",
      "updated_at": "2025-01-01T00:00:00Z",
      "url": "https://images.rixl.com/Bq4y3QB38S/FpvLwyDMqu"
    },
    "framerate": "string",
    "hdr": true,
    "height": 0,
    "id": "string",
    "plan_type": "free",
    "poster": {
      "attached_to_video": false,
      "file": {
        "created_at": "2025-01-01T00:00:00Z",
        "format": "avif",
        "id": "FpvLwyDMqu",
        "name": "original.jpeg",
        "project_id": "Bq4y3QB38S",
        "size": 1048576,
        "status": "ready",
        "updated_at": "2025-01-01T00:00:00Z",
        "url": "https://images.rixl.com/Bq4y3QB38S/FpvLwyDMqu"
      },
      "height": 1080,
      "id": "PS5IMKoFLm",
      "thumbhash": "1QcSHQRnh493V4dIh4eXh1h4kJUI",
      "width": 1920
    },
    "width": 0
  }
}

Bad Request

application/json

{
  "code": 400,
  "details": "The provided ID is not valid",
  "error": "Bad Request"
}

Not Found

application/json

{
  "code": 404,
  "details": "The provided ID is not valid",
  "error": "Not Found"
}